#include <bits/stdc++.h>
using namespace std;
const int DIM = 36;
long long n,c;
long long a[100005];
int main(){
cin>>n;
    for(int i = 1; i <= n; i++){
        cin>>a[i];
    }
    for(int i = n; i >= 1; i--){
        if(a[i]>0){
            c+=a[i];
        }
        for(int j = n-1; j >= 1; j--){
            if(a[i]!=a[j]){
                a[j]--;
            }
        }
    }
    cout<<c;
    return 0;
}
